| darcs-2.4.4: a distributed, interactive, smart revision control system | Source code | Contents | Index

Darcs.Repository.InternalTypes

Documentation

data Repository p | Source

Constructors

Repo !String ![DarcsFlag] !RepoFormat !(RepoType p) |

Instances

Show (Repository p)

data RepoType p | Source

Constructors

DarcsRepository !Pristine Cache |

Instances

Show (RepoType p)

data Pristine | Source

Constructors

NoPristine !String |
PlainPristine !String |
HashedPristine |

Instances

Show Pristine

extractCache :: Repository p -> Cache | Source

Produced by Haddock version 2.4.2